## Gdict Version Checking

Gdict Version Checking

## Synopsis

    #define             GDICT_MAJOR_VERSION
    #define             GDICT_MINOR_VERSION
    #define             GDICT_MICRO_VERSION
    #define             GDICT_VERSION
    #define             GDICT_VERSION_S
    #define             GDICT_VERSION_HEX
    #define             GDICT_CHECK_VERSION                 (major,minor,micro)

    extern              guint gdict_major;
    extern              guint gdict_minor;
    extern              guint gdict_micro;
    gboolean            gdict_check_version                 (guint required_major,
                                                             guint required_minor,
                                                             guint required_micro);

## Description

## Details

### GDICT_MAJOR_VERSION

    #define GDICT_MAJOR_VERSION (0)

FIXME

### GDICT_MINOR_VERSION

    #define GDICT_MINOR_VERSION (11)

FIXME

### GDICT_MICRO_VERSION

    #define GDICT_MICRO_VERSION (0)

FIXME

### GDICT_VERSION

    #define GDICT_VERSION           (0.11.0)

FIXME

Since 0.11

### GDICT_VERSION_S

    #define GDICT_VERSION_S         "0.11.0"

FIXME

Since 0.11

### GDICT_VERSION_HEX

    #define             GDICT_VERSION_HEX

FIXME

Since 0.11

### GDICT_CHECK_VERSION()

    #define             GDICT_CHECK_VERSION(major,minor,micro)

`major` : |
`minor` : |
`micro` : |

### gdict_major

    extern guint gdict_major;

### gdict_minor

    extern guint gdict_minor;

### gdict_micro

    extern guint gdict_micro;

### gdict_check_version ()

    gboolean            gdict_check_version                 (guint required_major,
                                                             guint required_minor,
                                                             guint required_micro);

`required_major` : |
`required_minor` : |
`required_micro` : |
Returns : |